<template>
    <div class='addclerk_page'>
         <NavTop title="添加店员" @click-left="backlast"></NavTop>
         <div class="content">
            <div class="must-has-box">
                <van-field v-model="formData.name" label="店员姓名" placeholder="请输入店员姓名" />
                <van-field v-model="formData.mblNo" label="店员手机号" placeholder="请输入店员手机号" />
            </div>
            <div class='tips'>
                该手机号作为登录用户名，密码将通过短信发送至手机
            </div>
            <div class="must-has-box">
               <van-field v-model="formData.email" label="联系邮箱" placeholder="请输入联系邮箱" />
            </div>
            <Button class='save_btn' @click="savePassworde">保存</Button>
        </div>
    </div>
</template>

<script>
import { Cell, CellGroup,Toast ,Field } from "vant";
export default {
    name:'shopassistant',    
     components: {
        Cell,
        CellGroup,
        Field,
    },
    data() {
        return {
          formData:{
              mblNo:"",
              name:"",
              email:""
          }
        };
    },
    created() {

    },
    mounted() {

    },
    methods: {
     backlast(){ this.$router.go(-1);},
     savePassworde(){
        if(!this.formData.mblNo){
            Toast.fail('请输入手机号');
            return false
        }
        if(!this.formData.name){
            Toast.fail('请输入姓名');
            return false
        }
        if(!this.formData.email){
            Toast.fail('请输入邮箱');
            return false
        }
        this.$api.post('/store/addStoreClient',this.formData).then(res=>{
            Toast.success({
                message:'添加成功',
                 onClose:()=>{
                        this.$router.go(-1)
                    }
            })
        })
     }
    }
};
</script>

<style scoped lang="less">
.addclerk_page{
    background-color: #FAFAFC;
    height: 100vh;
    padding-top: 44px;
    .content {
        box-sizing: border-box;
        padding: 16px 16px 21px;
        .tit-class {
            text-align: left;
            color: #333;
            font-size: 14px;
            margin-left: 12px;
        }
        .maybe-has-box {
        margin-bottom: 12px;
        }
        .must-has-box {
            border-radius: 8px;
            background: #fff;
            .iconfont {
                font-size: 18px;
            }
        }
  }
  .tips{
      color: #999999;
      font-size: 12px;
      margin-bottom: 20px;
      text-align: left;
  }
  .save_btn{
      margin-top: 40px;
  }
  .van-field{
      border-radius: 8px;
  }
}
</style>
